Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.runtime
Interface SAFMessageCursorRuntimeMBean

All Superinterfaces:
  CursorRuntimeMBean, DynamicMBean, MBeanRegistration, MessageCursorRuntimeMBean, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, WebLogicMBean

All Known Subinterfaces:
  JMSRemoteEndpointRuntimeMBean, SAFRemoteEndpointRuntimeMBean, WSRMRemoteEndpointRuntimeMBean

public interface SAFMessageCursorRuntimeMBean
extends MessageCursorRuntimeMBean

This runtime MBean represents a handle to a SAF message result set. It is used for paging through large sets of messages. Messages are returned in an array of MessageInfo objects.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  9.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Long` | `sort(String cursorHandle, Long start, String[] fields, Boolean[] ascending)` Sorts the entire message result set managed by the cursor according to the SAF header attributes specified.

Methods inherited from interface weblogic.management.runtime.MessageCursorRuntimeMBean
`getMessage, getMessage`

Methods inherited from interface weblogic.management.runtime.CursorRuntimeMBean
`closeCursor, getCursorEndPosition, getCursorSize, getCursorStartPosition, getItems, getNext, getPrevious`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### sort

    public Long sort(String cursorHandle,
                     Long start,
                     String[] fields,
                     Boolean[] ascending)
              throws ManagementException

  Sorts the entire message result set managed by the cursor according to the SAF header attributes specified. The cursor position is set to the new position of the message corresponding to the "start" location before the sort is performed. The method returns the new cursor position.

  Parameters:
    `cursorHandle` - The handle of the cursor on which to perform the sort operation
    `start` - The location of the message before the sort that will be the first message returned after the sort. A value of -1 will place the cursor start position at the head of the new sort order.
    `fields` - The SAF header attributes on which to sort.
    `ascending` - Determines whether the sort of the corresponding fields element is in ascending or descending order.
  Returns:
    The new position of the message specified by the start parameter.
  Throws:
    `ManagementException` - Thrown when an internal error occurs while processing the request.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD